# $Revision: 1.35 $, $Date: 2002/01/06 05:25:53 $
Summary:	RPC port mapper
Summary(pl):	Portmapper RPC
Name:		portmap
Version:	5beta
Release:	11
Group:		Daemons
Group(de):	Server
Group(pl):	Serwery
License:	BSD
Source0:	ftp://ftp.porcupine.org/pub/security/%{name}_%{version}.tar.gz
Source1:	%{name}.init
Source2:	pmap_dump.8
Source3:	pmap_set.8
Source4:	%{name}.8
Source5:	%{name}.sysconfig
Patch0:		%{name}-pld.patch
Patch1:		%{name}-libwrap_shared.patch
Patch2:		%{name}-malloc.patch
Patch3:		%{name}-cleanup.patch
Patch4:		%{name}-rpc_user.patch
Patch5:		%{name}-sigpipe.patch
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
BuildRequires:	libwrap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The portmapper manages RPC connections, which are used by protocols
such as NFS and NIS. The portmap server must be running on machines
which act as servers for protocols which make use of the RPC
mechanism. This portmapper supports hosts.{allow,deny} type access
control.

%description -l es
portmap administra conexiones RPC, que incluye NFS. Este mapeador de
puerto puede usar hosts.{allow,deny} para controlar el acceso.

%description -l pl
Portmapper zarzdza poczeniami RPC, z ktrych korzystaj protokoy
NFS i NIS. Serwery tych protokow potrzebuj uruchomionego
portmappera. Ta wersja portmappera korzysta z plikw
hosts.{allow,deny} do kontroli dostpu.

%description -l pt_BR
O portmap gerencia conexes RPC, incluindo NFS. Este mapeador de
porta pode usar hosts.{allow,deny} para controlar o acesso.

%prep 
%setup  -q -n %{name}_5beta
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5 -p1 

%build
%{__make} OPT="%{rpmcflags}" \
	FACILITY=LOG_AUTH \
	ZOMBIES='-DIGNORE_SIGCHLD -Dlint -w' 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/{sysconfig,rc.d/init.d}}

install pmap_dump pmap_set portmap $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portmap
install %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/portmap

gzip -9nf README CHANGES BLURB

%post
/sbin/chkconfig --add portmap
if [ -f /var/lock/subsys/portmap ]; then
	/etc/rc.d/init.d/portmap restart >&2
else
	echo "Run \"/etc/rc.d/init.d/portmap start\" to start portmap daemon."
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/portmap ]; then
		/etc/rc.d/init.d/portmap stop >&2
	fi
	/sbin/chkconfig --del portmap
fi

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- portmap <= portmap-4.0-9
/sbin/chkconfig --add portmap

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(754,root,root) /etc/rc.d/init.d/portmap
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: portmap.spec,v $
Revision 1.35  2002/01/06 05:25:53  kloczek
- release 11.

Revision 1.34  2002/01/05 16:33:31  blues
- some stollen translations

Revision 1.33  2002/01/04 11:18:57  qboosh
- fixed init script and postun: check if portmap is running before stopping
- release 10

Revision 1.32  2001/12/24 23:12:42  qboosh
- changed rpc_user patch - s/rpc/nobody/
  (there is no "rpc" user in PLD, and it seems not necessary - portmap
   doesn't seem to require any additional privileges)
- release 9

Revision 1.31  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.29  2001/05/18 00:07:54  kloczek
- release 8: merge rawhide rpc_user, sigpipe patches.

Revision 1.28  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.27  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.26  2000/10/08 02:39:24  baggins
- fixed source URL

Revision 1.25  2000/09/29 16:43:44  zagrodzki
- changed priorities
- release 7

Revision 1.24  2000/07/15 06:17:58  kloczek
- release 6,
- adapted two patches from rawhide (malloc and cleanup),
- added %triggerpostun script for portmap <= portmap-4.0-9.

Revision 1.23  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.21  2000/06/01 02:23:44  kloczek
- release 5.

Revision 1.20  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.18  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.17  1999/10/04 17:34:20  kloczek
- added libwrap_shared patch for building portmap against shared libwrap,
- added libwrap-devel to BuildRequires,
- fixed %install.

Revision 1.16  1999/10/04 17:20:08  kloczek
- release 3.

Revision 1.15  1999/09/11 13:57:26  misiek
- fixed requires (PR#47)

Revision 1.14  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.0-16]
- added pmap_dump(8), pmap_set(8), portmap(8) man pages,
- modifications %post, %preun for standarizing this section; this allow stop
  service on uninstall and automatic restart on upgrade,
- removed %config from /etc/rc.d/init.d/portmap,
- 754 on /etc/rc.d/init.d/portmap.

* Wed Apr 21 1999 Piotr Czerwiski <pius@pld.org.pl>
- recompiled on rpm 3.

* Tue Sep 29 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [4.0-13d]
- translations modified for pl
- defined files permission
- some minor changes

* Sun Jun 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [4.0-13]
- build against glibc-2.1.
